<?php // этот модуль необходимо делать тольео для крупных проектов, для небольшых описание пунктов меню и файлов меню лучше делать в init.php
$__functions['init'][]      ='_media_content_admin_vars' ;
$__functions['install'][]	='_media_content_install_modul' ;


function _media_content_admin_vars() //
{
	$_SESSION['descr_clss'][229]['name']='Медиаконтент' ;
	$_SESSION['descr_clss'][229]['parent']=0 ;
	$_SESSION['descr_clss'][229]['fields']['manual']=array('type'=>'text') ;
	$_SESSION['descr_clss'][229]['fields']['file_name']=array('type'=>'varchar(255)') ;
	$_SESSION['descr_clss'][229]['fields']['type']=array('type'=>'varchar(20)') ;
	$_SESSION['descr_clss'][229]['fields']['size']=array('type'=>'int(11)','default'=>0) ;
	$_SESSION['descr_clss'][229]['fields']['width']=array('type'=>'int(11)','default'=>0) ;
    $_SESSION['descr_clss'][229]['fields']['height']=array('type'=>'int(11)','default'=>0) ;
    $_SESSION['descr_clss'][229]['fields']['len']=array('type'=>'int(11)','default'=>0) ;
    $_SESSION['descr_clss'][229]['fields']['moment']=array('type'=>'int(11)','default'=>0) ;
    $_SESSION['descr_clss'][229]['fields']['account_id']=array('type'=>'int(11)','default'=>0) ;
    $_SESSION['descr_clss'][229]['fields']['event_id']=array('type'=>'int(11)','default'=>0) ;
    $_SESSION['descr_clss'][229]['fields']['source_pkey']=array('type'=>'int(11)','default'=>0) ;
    $_SESSION['descr_clss'][229]['fields']['source_tkey']=array('type'=>'int(11)','default'=>0) ;
    $_SESSION['descr_clss'][229]['fields']['obj_reffer']=array('type'=>'varchar(32)','default'=>'') ;

	$_SESSION['descr_clss'][221]['name']='Показ медиаконтента' ;
    $_SESSION['descr_clss'][221]['parent']=0 ;
    $_SESSION['descr_clss'][221]['fields']['event_id']=array('type'=>'int(11)') ; //
    $_SESSION['descr_clss'][221]['fields']['personal_id']=array('type'=>'int(11)') ; //
    $_SESSION['descr_clss'][221]['fields']['pass_id']=array('type'=>'int(11)') ; //
    $_SESSION['descr_clss'][221]['fields']['content_id']=array('type'=>'int(11)') ; //
    $_SESSION['descr_clss'][221]['fields']['status']=array('type'=>'int(11)') ; //
    $_SESSION['descr_clss'][221]['fields']['length']=array('type'=>'int(11)') ; //
    $_SESSION['descr_clss'][221]['fields']['mo_id']=array('type'=>'int(11)') ; //

    $_SESSION['descr_clss'][221]['index']['event_id']='event_id' ;
    $_SESSION['descr_clss'][221]['index']['personal_id']='personal_id' ;
    $_SESSION['descr_clss'][221]['index']['content_id']='content_id' ;
    $_SESSION['descr_clss'][221]['index']['mo_id']='mo_id' ;
    $_SESSION['descr_clss'][221]['index']['pass_id']='pass_id' ;
    $_SESSION['descr_clss'][221]['index']['status']='status' ;
}

function _media_content_install_modul($DOT_root)
{
	SETUP()->reg_event_type('Доведение медиа-контента','media_content','events_media_content/i_event_media_content') ;   // регистрируем тип мероприятия
SETUP()->reg_ext('events_media','Доведение медиа-контента') ;

	$pattern=array() ;
	$pattern['table_title']		        = 	'Медиаконтент' ;
	$pattern['use_clss']		        = 	'229' ;
	$pattern['table_name']				= 	'media_content' ;
	$pattern['table_clss']				= 	101 ;
	$pattern['table_parent']			= 	$DOT_root;
	create_table_by_pattern($pattern) ;

	$pattern=array() ;
	$pattern['table_title']		        = 	'Медиаконтент' ;
	$pattern['use_clss']		        = 	'221' ;
	$pattern['table_name']				= 	'media_content_view' ;
	$pattern['table_clss']				= 	101 ;
	$pattern['table_parent']			= 	$DOT_root;
	create_table_by_pattern($pattern) ;

    $id_sect=SETUP_add_section_to_site_setting('Опросы') ;
    SETUP_add_rec_to_site_setting($id_sect,"Отправлять на терминал максимальное время для ответа на вопрос:",0,'LS_media_content_timeout_enable',array('el'=>'checkbox')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Максимальное время для ответа на вопрос, сек",'40','LS_media_content_answer_timeout',array('human'=>'sec','descr'=>'Будет отправлено в том случае если у вопроса не указано время на ответ')) ;
    SETUP_add_rec_to_site_setting($id_sect,"Показывать опрос во время измерения на тонометре",1,'LS_media_content_view_on_tonometer',array('el'=>'checkbox','descr'=>'При выключенном состоянии вопросы будут заданы отдельным этапом, после выполнения всех проверок')) ;

}




?>